org.apache.jasper.util

## Class UniqueAttributesImpl

- java.lang.Object
- - org.xml.sax.helpers.AttributesImpl
  - - org.apache.jasper.util.UniqueAttributesImpl

All Implemented Interfaces:
  Attributes

    public class UniqueAttributesImpl
    extends AttributesImpl

Wraps the default attributes implementation and ensures that each attribute has a unique qname as required by the JSP specification.

### Constructor Summary

Constructors
Constructor and Description
`UniqueAttributesImpl()`
`UniqueAttributesImpl(boolean pageDirective)`

### Method Summary

Methods
`void` `addAttribute(String uri, String localName, String qName, String type, String value)`
`void` `clear()`
`void` `removeAttribute(int index)`
`void` `setAttribute(int index, String uri, String localName, String qName, String type, String value)`
`void` `setAttributes(Attributes atts)`
`void` `setQName(int index, String qName)`

### Methods inherited from class org.xml.sax.helpers.AttributesImpl

`getIndex, getIndex, getLength, getLocalName, getQName, getType, getType, getType, getURI, getValue, getValue, getValue, setLocalName, setType, setURI, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UniqueAttributesImpl

    public UniqueAttributesImpl()

#### UniqueAttributesImpl

    public UniqueAttributesImpl(boolean pageDirective)

### Method Detail

#### clear

    public void clear()

Overrides:
  `clear` in class `AttributesImpl`

#### setAttributes

    public void setAttributes(Attributes atts)

Overrides:
  `setAttributes` in class `AttributesImpl`

#### addAttribute

    public void addAttribute(String uri,
                    String localName,
                    String qName,
                    String type,
                    String value)

Overrides:
  `addAttribute` in class `AttributesImpl`

#### setAttribute

    public void setAttribute(int index,
                    String uri,
                    String localName,
                    String qName,
                    String type,
                    String value)

Overrides:
  `setAttribute` in class `AttributesImpl`

#### removeAttribute

    public void removeAttribute(int index)

Overrides:
  `removeAttribute` in class `AttributesImpl`

#### setQName

    public void setQName(int index,
                String qName)

Overrides:
  `setQName` in class `AttributesImpl`